clang 10.0.0git

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
clang::ento::NoteTag Class Reference

The tag upon which the TagVisitor reacts. More...

`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`

Inheritance diagram for clang::ento::NoteTag:
[legend]
Collaboration diagram for clang::ento::NoteTag:
[legend]

## Classes
class | Factory

## Public Types
using | Callback = std::function< std::string(BugReporterContext &, BugReport &)>

## Public Member Functions
Optional< std::string > | generateMessage (BugReporterContext &BRC, BugReport &R) const
StringRef | getTagDescription () const override
bool | isPrunable () const
Public Member Functions inherited from clang::ProgramPointTag
| ProgramPointTag (void *tagKind=nullptr)
virtual | ~ProgramPointTag ()
const void * | getTagKind () const
| Used to implement 'isKind' in subclasses. More...

## Static Public Member Functions
static bool | classof (const ProgramPointTag *T)

## Friends
class | TagVisitor

## Detailed Description

The tag upon which the TagVisitor reacts.

Add these in order to display additional PathDiagnosticEventPieces along the path.

Definition at line 722 of file BugReporter.h.

## Member Typedef Documentation

## ◆ Callback

using clang::ento::NoteTag::Callback = std::function<std::string(BugReporterContext &, BugReport &)>

Definition at line 725 of file BugReporter.h.

## Member Function Documentation

## ◆ classof()

static bool clang::ento::NoteTag::classof | ( | const ProgramPointTag * | T | ) |
| inline static

Definition at line 737 of file BugReporter.h.

References clang::ProgramPointTag::getTagKind().

## ◆ generateMessage()

Optional<std::string> clang::ento::NoteTag::generateMessage | ( | BugReporterContext & | BRC,
|  | BugReport & | R
| ) |  | const
| inline

Definition at line 741 of file BugReporter.h.

## ◆ getTagDescription()

StringRef clang::ento::NoteTag::getTagDescription | ( |  | ) | const
| inline override virtual

Implements clang::ProgramPointTag.

Definition at line 750 of file BugReporter.h.

## ◆ isPrunable()

bool clang::ento::NoteTag::isPrunable | ( |  | ) | const
| inline

Definition at line 757 of file BugReporter.h.

## Friends And Related Function Documentation

## ◆ TagVisitor

friend class TagVisitor
| friend

Definition at line 773 of file BugReporter.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/BugReporter/BugReporter.h